QtDataVisualization installation problem



  • Trying to develop a QtDataVisualization app on Ubuntu 16.04, but the qtcreator/compiler says QtDataVisualization is not installed. I installed Qt 5.13.0 through the online installer, specified option to include the QtDataVisualization add-on. Downloaded files include many named "*qtdatavisualization*", so it seems I have the add-on. Added "QT += datavisualization" to my .pro file per the Qt Data Visualization Known Issues page. Yet while qtcreator designer offers "QtDataVisualization 1.3" as an import, the import fails with designer error message 'found not working import... "QtDataVisualization" is not installed'. Manually editing the QML file with "import QtDataVisualization 1.3" also results in "QtDataVisualization not installed". Just to be sure, I retrieved, built, and installed the qtdatavis3d repository per these instructions. Yet qtcreator still gives "QtDataVisualization not installed" when I attempt to import it. What am I missing? Can anyone help? Thanks!



  • @tom-asso please don't "triple" post... here and here...


Log in to reply